---
layout: docs
page_title: users read - Command
description: >-
  The "users read" command retrieves the details about a user resource.
---

# users read

Command: `users read`

The `users read` command lets you read information about users by their user ID.

## Example

This example reads user details for a user with the ID `u_1234567890`:

```shell-session
$ boundary users read -id u_1234567890
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary users read [options] [args]
```

</CodeBlockConfig>

### Command options

- `-id=<string>` - The ID of the user you want to read.

@include 'cmd-option-note.mdx'